Bug 997920 - Horizon will not display security rules when adding new rule to default by CLI
Horizon will not display security rules when adding new rule to default by CLI
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: z2
: 3.0
Assigned To: Julie Pichon
Ofer Blaut
ajeain@redhat.com
: Triaged, ZStream
Depends On: 982359 993104
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 09:47 EDT by Scott Lewis
Modified: 2016-04-26 22:48 EDT (History)
10 users (show)

See Also:
Fixed In Version: python-django-horizon-2013.1.3-1.el6ost
Doc Type: Bug Fix
Doc Text:
There was a bug which caused Horizon to not display security rules after a new rule had been added using the command line interface. This bug has been fixed so that Horizon correctly displays rules added using the CLI.
Story Points: ---
Clone Of: 982359
Environment:
Last Closed: 2013-09-03 15:59:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1165095 None None None Never
OpenStack gerrit 37431 None None None Never

  None (edit)
Description Scott Lewis 2013-08-16 09:47:56 EDT
+++ This bug was initially created as a clone of Bug #982359 +++

Description of problem:

Horizon will not display security rules when adding new rule to default  
Output will be " Something went wrong! "
Horizon log file attached 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.view security rule using default security group 
2.add new rule " $quantum  security-group-rule-create  default --direction ingress --protocol udp  --port-range-min 100 --port-range-max 200"
3.try to edit security group again in GUI you will get an error 

Actual results:


Expected results:


Additional info:

--- Additional comment from Ofer Blaut on 2013-07-08 15:25:25 EDT ---

The new rule is added in CLI, but cause error in GUI  , until it is removed

--- Additional comment from Julie Pichon on 2013-07-16 12:36:00 EDT ---

Overall, quantum security group management will greatly improve in Havana thanks to https://blueprints.launchpad.net/horizon/+spec/quantum-security-group .

For this particular error however, commit 706560f6d2 would be sufficient to fix it and could be considered for a backport to Grizzly.

--- Additional comment from Julie Pichon on 2013-08-06 03:52:05 EDT ---

Fixed upstream for Havana in M1, and backported to Grizzly - it should be part of 2013.1.3 on Aug 8th.

--- Additional comment from Ofer Blaut on 2013-08-11 02:05:59 EDT ---

Hi Lon
What info is needed ? 

Ofer
Comment 2 Ofer Blaut 2013-08-22 03:34:41 EDT
Verified on python-django-horizon-2013.1.3-1.el6ost.noarch

I have added $quantum  security-group-rule-create  default --direction ingress --protocol udp  --port-range-min 100 --port-range-max 200

It was seen in the Horizon and i also added more rule via horizon which are shown in CLI as well
Comment 3 Bruce Reeler 2013-08-24 08:22:59 EDT
Needinfo for Julie Pichon.
I am writing the Doc Text for bug advisories. As the Doc Text field was blank, I have written the current Doc Text from scratch. Could you please comment or edit it and correct as necessary. Thanks
Comment 4 Julie Pichon 2013-08-24 10:52:08 EDT
A small correction as it was actually not only about the default rules.

If we'd like to be more specific, we could add "unless they had the remote-ip-prefix specified when created" after "using the command line interface" at the end of the first sentence. In any case the text as written looks fine to me, thank you Bruce.
Comment 5 errata-xmlrpc 2013-09-03 15:59:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1186.html

Note You need to log in before you can comment on or make changes to this bug.